Atualizar depósito
curl --request PATCH \
--url https://api.example.com/warehouses/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "Depósito Principal",
"code": "DEP-001",
"type": "OWN",
"companyId": "<string>",
"address": {
"street": "<string>",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>"
},
"notes": "<string>",
"isActive": true
}
'import requests
url = "https://api.example.com/warehouses/{id}"
payload = {
"name": "Depósito Principal",
"code": "DEP-001",
"type": "OWN",
"companyId": "<string>",
"address": {
"street": "<string>",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>"
},
"notes": "<string>",
"isActive": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Depósito Principal',
code: 'DEP-001',
type: 'OWN',
companyId: '<string>',
address: {
street: '<string>',
number: '<string>',
complement: '<string>',
neighborhood: '<string>',
city: '<string>',
state: '<string>',
zipCode: '<string>'
},
notes: '<string>',
isActive: true
})
};
fetch('https://api.example.com/warehouses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e4b6d4e8-8e6d-41da-abdb-8fc358a9e7f1",
"name": "Armazém Norte (Revisado)",
"active": true
}
Warehouses
Atualizar Depósito
Altera os mapeamentos logísticos, nome, status, código ou endereço do galpão.
PATCH
/
warehouses
/
{id}
Atualizar depósito
Path
UUID da Entidade Depósito.
Body
Novo nome ou apelido do Armazém.
Troca do Código interno de rastreio. Retorna 409 se conflitar com existente.
Novo CEP local.
Novo Logradouro físico.
Se falsificado
false, impede novas emissões a não ser que possua estoque retido.Response
{
"id": "e4b6d4e8-8e6d-41da-abdb-8fc358a9e7f1",
"name": "Armazém Norte (Revisado)",
"active": true
}
Path Parameters
Body
application/json
Nome do depósito
Example:
"Depósito Principal"
Código único (auto-gerado se vazio)
Example:
"DEP-001"
Tipo do depósito
Available options:
OWN, STORE, FULFILLMENT, THIRD_PARTY ID da empresa associada
Endereço do depósito
Show child attributes
Show child attributes
Observações
Ativar/desativar depósito
Response
Depósito atualizado
⌘I